/* ------------------------------------------------------------------------------------------------------------------ */
/* Верстка */
/* ------------------------------------------------------------------------------------------------------------------ */

.bgc-image-and-text {
    width: 100%;
    max-width: 1200px;
    margin: 100px auto;
    font-family: 'Montserrat', sans-serif;
    padding: 0 15px;
}

.bgc-image-and-text .story {
    margin: 60px 0;
}

.bgc-image-and-text .story-box {
    display: flex;
    justify-content: space-evenly;
}

.bgc-image-and-text .story-box.order {
    flex-direction: row-reverse;
}

.bgc-image-and-text .story-content {
    flex-basis: 53%;
    display: flex;
    flex-direction: column;
}

.bgc-image-and-text .story-title {
    font-size: 24px;
    font-weight: 600;
}

.bgc-image-and-text .story-text {
    margin-top: 30px;
}

.bgc-image-and-text p {
    font-size: 18px;
    font-weight: 400;
    line-height: 135%;
}

.bgc-image-and-text .story-img {
    flex-basis: 42%;
}

.bgc-image-and-text .story-img img {
    width: 100%;
    max-width: 300px;
    display: block;
    margin: 0 auto;
}


/* ------------------------------------------------------------------------------------------------------------------ */
/* Мобильная адаптация */
/* ------------------------------------------------------------------------------------------------------------------ */

@media (max-width: 1000px) {
    .bgc-image-and-text .story-box {
        justify-content: space-between;
    }

    .bgc-image-and-text .story-content {
        flex-basis: 66%;
    }

    .bgc-image-and-text .story-img {
        flex-basis: 31%;
    }

    .bgc-image-and-text .story-img img {
        max-width: 250px;
    }
}

@media (max-width: 820px) {
    .bgc-image-and-text .story-title {
        font-size: 22px;
    }

    .bgc-image-and-text p {
        font-size: 16px;
    }
}

@media (max-width: 720px) {
    .bgc-image-and-text .story-box.order {
        flex-direction: column;
    }

    .bgc-image-and-text .story-box {
        flex-direction: column;
    }

    .bgc-image-and-text .story-title {
        text-align: center;
    }

    .bgc-image-and-text .story-content {
        margin-top: 30px;
    }

    .bgc-image-and-text .story-img img {
        max-width: 275px;
    }
}

@media (max-width: 450px) {
    .bgc-image-and-text .story-text {
        margin-top: 20px;
    }

    .bgc-image-and-text .story-title {
        font-size: 20px;
    }

    .bgc-image-and-text .story-img img {
        max-width: 240px;
    }

    .bgc-image-and-text p {
        font-size: 15px;
    }
}